Bug 1188215 - Use Python 3 for setup scripts
Summary: Use Python 3 for setup scripts
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-hangul
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23PYTHON3
TreeView+ depends on / blocked
 
Reported: 2015-02-02 11:05 UTC by Petr Viktorin
Modified: 2015-07-02 09:04 UTC (History)
7 users (show)

Fixed In Version: ibus-hangul-1.5.0-5.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-02 09:04:12 UTC


Attachments (Terms of Use)
Packaging patch to run setup scripts with Python 3 (4.74 KB, patch)
2015-02-02 11:06 UTC, Petr Viktorin
no flags Details | Diff

Description Petr Viktorin 2015-02-02 11:05:35 UTC
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.
Since ibus-hangul is part of the live CD, it's high priority for this effort.

Support for running setup scripts with Python 3 has recently been merged into ibus-hangul upstream git (https://github.com/choehwanjin/ibus-hangul/pull/28).

I'm willing to help with moving this forward; please ask if you have any questions.

Comment 1 Petr Viktorin 2015-02-02 11:06:40 UTC
Created attachment 987057 [details]
Packaging patch to run setup scripts with Python 3

Comment 2 Petr Viktorin 2015-02-25 17:46:00 UTC
ping, does the patch look OK?

Comment 3 Jaroslav Reznik 2015-03-03 17:07:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Robert Kuska 2015-04-02 08:44:07 UTC
Switching to rawhide as it is needed for Fedora 23 currently.

Comment 5 Robert Kuska 2015-06-01 12:46:05 UTC
Ping again.

Is it possible to use patch mentioned in comment #1?

Comment 6 Daiki Ueno 2015-07-02 08:20:20 UTC
Thanks for the patch and sorry for the long delay.

Comment 7 Miro Hrončok 2015-07-02 08:27:36 UTC
Just a check, looking at the latest commit: http://pkgs.fedoraproject.org/cgit/ibus-hangul.git/commit/

Is seems to me that this:

    Requires:   pygobject3

will make this depending on Python 2 anyway. Shouldn't it depend on python3-gobject instead?

Comment 8 Daiki Ueno 2015-07-02 08:51:45 UTC
Thanks for pointing that out.  That should be fixed with -5.

Comment 9 Miro Hrončok 2015-07-02 09:04:12 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.